Bug 839901 - Inccorect thread dump file path is provided after generating thead dump for jbosseap app
Inccorect thread dump file path is provided after generating thead dump for j...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 03:39 EDT by joycezhang
Modified: 2015-05-14 22:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-07-13 03:39:21 EDT
Description of problem:
Inccorect thread dump file path is provided after generating thread dump file for jbosseap-6.0. Following error is displayed if using the provided path:

# rhc app tail -a jbooeap -f jbooeap/jbossas-7/standalone/tmp/jbooeap.log -o '-n 250'
Password: ******

Attempting to tail files: jbooeap/jbossas-7/standalone/tmp/jbooeap.log
Use ctl + c to stop
Could not find any files matching glob



[root@Joycezh jbooeap]# 

Version-Release number of selected component (if applicable):
rhc-0.95.13
stg.openshift.redhat.com
Fedora17

How reproducible:
always

Steps to Reproduce:
1. Create an app with the type jbosseap-6.0
#rhc app create -a jbooeap -t jbosseap-6.0 -l test@redhat.com -p **
2. Generate thread dump file
# rhc app threaddump -a jbooeap -l test@redhat.com -p **
3. Check the generated log file with the provided path:
The thread dump file will be available via: rhc app tail -a jbooeap -f jbooeap/jbossas-7/standalone/tmp/jbooeap.log -o '-n 250'
  
Actual results:
The provided path is incorrect as it could not find any files matching glob.

Expected results:
The generated log file can be displayed with the path.

Additional info:
# rhc app tail -a jbooeap -f jbosseap-6.0/jbosseap-6.0/standalone/tmp/jbooeap.log -o '-n 250'
Comment 1 Jhon Honce 2012-07-13 21:17:11 EDT
Fix in https://github.com/openshift/crankcase/pull/236
Comment 2 Jhon Honce 2012-07-14 13:57:49 EDT
li commit 308d48e45c655ae088e1b70aa118baf1c2ac7daf
Comment 3 Bill DeCoste 2012-07-14 14:18:36 EDT
Fixed in master
Comment 4 joycezhang 2012-07-17 01:23:59 EDT
Verified build:
rhc-0.95.14
devenv_1885

Verified results:
The correct path is provided when generating thread dump file, Please refer to following message copied from command line.
#rhc app threaddump -a app1 -p redhat

RESULT:
Success

The thread dump file will be available via: rhc app tail -a app1 -f app1/jbosseap-6.0/standalone/tmp/app1.log -o '-n 250'


So it is fixed and can be closed.  Thanks.
Comment 5 joycezhang 2012-07-17 01:26:57 EDT
It fixed with devenv_1895, not devenv_1885. Thanks.

Note You need to log in before you can comment on or make changes to this bug.